Bug 76023 - Update and show ewk_view with updated webpage.
Summary: Update and show ewk_view with updated webpage.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 61838
  Show dependency treegraph
 
Reported: 2012-01-10 21:04 PST by Eunmi Lee
Modified: 2012-01-12 03:10 PST (History)
2 users (show)

See Also:


Attachments
patch to update and show ewk_view. (5.89 KB, patch)
2012-01-10 21:46 PST, Eunmi Lee
no flags Details | Formatted Diff | Diff
patch to update and show ewk_view. (5.87 KB, patch)
2012-01-11 19:00 PST, Eunmi Lee
no flags Details | Formatted Diff | Diff
patch to update and show ewk_view. (5.80 KB, patch)
2012-01-12 00:43 PST, Eunmi Lee
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eunmi Lee 2012-01-10 21:04:24 PST
Update ewk_view with BackingStore image which is updated with shareableBitmap from WebProcess,
and show updated image's area when PageClientImpl::setViewNeedsDisplay() is called.
Comment 1 Eunmi Lee 2012-01-10 21:46:13 PST
Created attachment 121972 [details]
patch to update and show ewk_view.
Comment 2 Ryuan Choi 2012-01-11 18:33:36 PST
Comment on attachment 121972 [details]
patch to update and show ewk_view.

View in context: https://bugs.webkit.org/attachment.cgi?id=121972&action=review

> Source/WebKit2/UIProcess/API/efl/PageClientImpl.cpp:60
> -    evas_object_image_data_update_add(m_viewObject, rect.x(), rect.y(), rect.width(), rect.height());
> +    ewk_view_display(m_viewObject, rect);

Patch itself is good, but you should rebase this because m_viewObject is renamed.

> Source/WebKit2/UIProcess/API/efl/ewk_private.h:32
> +Eina_Bool ewk_view_display(Evas_Object* ewkView, const WebCore::IntRect& rect);
> +Eina_Bool ewk_view_image_data_set(Evas_Object* ewkView, void* imageData, const WebCore::IntSize& size);

Should we return Eina_Bool?
Comment 3 Eunmi Lee 2012-01-11 19:00:15 PST
Created attachment 122153 [details]
patch to update and show ewk_view.

Rebase and change Eina_Bool to bool.
Comment 4 Eunmi Lee 2012-01-11 19:01:56 PST
Thanks for your comments :)

(In reply to comment #2)
> (From update of attachment 121972 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=121972&action=review
> 
> > Source/WebKit2/UIProcess/API/efl/PageClientImpl.cpp:60
> > -    evas_object_image_data_update_add(m_viewObject, rect.x(), rect.y(), rect.width(), rect.height());
> > +    ewk_view_display(m_viewObject, rect);
> 
> Patch itself is good, but you should rebase this because m_viewObject is renamed.
=> Rebased.

> 
> > Source/WebKit2/UIProcess/API/efl/ewk_private.h:32
> > +Eina_Bool ewk_view_display(Evas_Object* ewkView, const WebCore::IntRect& rect);
> > +Eina_Bool ewk_view_image_data_set(Evas_Object* ewkView, void* imageData, const WebCore::IntSize& size);
> 
> Should we return Eina_Bool?
=> No, because those APIs are internal private API. so, I've changed Eina_Bool to bool type.
Comment 5 Ryuan Choi 2012-01-11 23:47:05 PST
> > > Source/WebKit2/UIProcess/API/efl/ewk_private.h:32
> > > +Eina_Bool ewk_view_display(Evas_Object* ewkView, const WebCore::IntRect& rect);
> > > +Eina_Bool ewk_view_image_data_set(Evas_Object* ewkView, void* imageData, const WebCore::IntSize& size);
> > 
> > Should we return Eina_Bool?
> => No, because those APIs are internal private API. so, I've changed Eina_Bool to bool type.

IMO, void looks enough.
Comment 6 Eunmi Lee 2012-01-11 23:53:58 PST
(In reply to comment #5)
> > > > Source/WebKit2/UIProcess/API/efl/ewk_private.h:32
> > > > +Eina_Bool ewk_view_display(Evas_Object* ewkView, const WebCore::IntRect& rect);
> > > > +Eina_Bool ewk_view_image_data_set(Evas_Object* ewkView, void* imageData, const WebCore::IntSize& size);
> > > 
> > > Should we return Eina_Bool?
> > => No, because those APIs are internal private API. so, I've changed Eina_Bool to bool type.
> 
> IMO, void looks enough.

=> I thought you mean to remove "Eina" type. I understand now and I agree with you that boolean return type is not necessary.
So, I will change return type from bool to void :)
Comment 7 Eunmi Lee 2012-01-12 00:43:41 PST
Created attachment 122182 [details]
patch to update and show ewk_view.

Change return type from bool to void.
Comment 8 Ryuan Choi 2012-01-12 00:49:10 PST
(In reply to comment #7)
> Created an attachment (id=122182) [details]
> patch to update and show ewk_view.
> 
> Change return type from bool to void.

Looks good to me.
Comment 9 WebKit Review Bot 2012-01-12 03:10:44 PST
Comment on attachment 122182 [details]
patch to update and show ewk_view.

Clearing flags on attachment: 122182

Committed r104804: <http://trac.webkit.org/changeset/104804>
Comment 10 WebKit Review Bot 2012-01-12 03:10:48 PST
All reviewed patches have been landed.  Closing bug.